Issue #13793 has been updated by lugray (Lisa Ugray).


Minimal example:
~~~ ruby
def test(options={})
  puts options
end
test **{foo: :bar}
~~~


----------------------------------------
Bug #13793: Compatible issue with keyword args behavior
https://bugs.ruby-lang.org/issues/13793#change-66115

* Author: hsbt (Hiroshi SHIBATA)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
I found breaking changes for keyword args with Ruby 2.5.1

Reproduction instructions:

 * git clone git / github.com:bundler/bundler.git
 * gem i rspec
 * cd bundler && rspec spec/commands/viz_spec.rb:13

Ruby 2.4.1:

```
~/D/g/b/bundler (master) > rspec spec/commands/viz_spec.rb:13
Run options:
  include {:locations=>{"./spec/commands/viz_spec.rb"=>[13]}}
  exclude {:bundler=>"=< 1.15", :rubygems_master=>true, :git=>"=< 2.14.0", :rubygems=>"=< 2.6.11", :ruby=>"=< 2.4.1", :realworld=>true, :sudo=>true}

bundle viz
  graphs gems from the Gemfile


Retried examples: 0

Finished in 3.35 seconds (files took 1.37 seconds to load)
1 example, 0 failures
```

Ruby 2.5.0(ruby 2.5.0dev (2017-08-08 trunk 59529) [x86_64-darwin16])

```
~/D/g/b/bundler (master) > rspec spec/commands/viz_spec.rb:13
Run options:
  include {:locations=>{"./spec/commands/viz_spec.rb"=>[13]}}
  exclude {:bundler=>"=< 1.15", :rubygems_master=>true, :git=>"=< 2.14.0", :rubygems=>"=< 2.6.12", :ruby=>"=< 2.5.0", :realworld=>true, :sudo=>true}

bundle viz
(snip)
       ArgumentError: unknown keyword: png
         /path/to/bundler/bundler/tmp/gems/system/gems/ruby-graphviz-1.2.3/lib/graphviz.rb:441:in `output'
         /path/to/bundler/bundler/lib/bundler/graph.rb:142:in `run'
(snip)
```

I also reported bundler's tracker: https://github.com/bundler/bundler/issues/5939




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>